Game Forces sysNAND Boot

Discussion in '3DS - Homebrew Development and Emulators' started by Scissorman, Apr 6, 2016.

  1. Scissorman
    OP

    Scissorman Member

    Newcomer
    30
    3
    Apr 6, 2016
    United States
    I have no idea where this thread should go. I honestly just created this account to ask about this problem since it's been bugging me for the past few days.

    I booted up Smash the other day to find that my emuNAND DLC content was missing. Upon further inspection, I only had the DLC that I had in my sysNAND before I began my transition into homebrew and emuNAND, leading me to assume Smash boots in sysNAND even though I booted it in emuNAND.

    I don't know what else I should describe, but I run rxtools v2.6, have a fully updated emuNAND, and have my sysNAND on 9.2. It seems that only Smash will not boot in emuNAND, as another game that I have installed with a legit CIA is running just fine with no errors.

    If anyone needs any extra details, tell me and I will get back to you ASAP. I just want my Smash DLCs back.
     


  2. Piluvr

    Piluvr Resident Masturbator

    Member
    640
    352
    Jul 27, 2015
    United States
    Behind you
    install a9lh, and use aureinand. It is sysnand, so youll be fine.
     
  3. Docmudkipz

    Docmudkipz Novice

    Member
    327
    219
    Mar 16, 2016
    United States
    Staring at my computer case's window
    Both Smash and MH4 do this. while what Piluvr said is also a good option, try just switching from rxtools to something like cakes or aureinand. I used aureinand when I had emunand and I didn't have a problem with missing dlc.
     
  4. Scissorman
    OP

    Scissorman Member

    Newcomer
    30
    3
    Apr 6, 2016
    United States
    My PC apparently doesn't want to detect Python, so I can't compile my A9LH. I'm sorry. Any other ideas?

    EDIT: To be more precise, Python works, but PyCrypto refuses to find Python, saying that I don't have it.
     
    Last edited by Scissorman, Apr 6, 2016
  5. xile6

    xile6 GBAtemp Maniac

    Member
    1,172
    296
    Jan 15, 2006
    United States
    I had to update the cfw and emunand for smash to work
     
  6. Docmudkipz

    Docmudkipz Novice

    Member
    327
    219
    Mar 16, 2016
    United States
    Staring at my computer case's window
    Check your path and make sure it's in there, other than that do you even have your otp? Otherwise just follow Plailects if you want A9 since he supplies all the files for the install. Or just switch to cakes or AuReiNand for your current CFW
     
  7. KaduPSE

    KaduPSE Revolution and cake

    Member
    235
    171
    Dec 26, 2015
    Brazil
    Use the web compiler, or the new Homebrew that just requires your OTP to be in the root directory of the SD. I used the web-based one just fine.
     
  8. Garro

    Garro Pendulum of souls!

    Member
    619
    307
    Aug 15, 2009
    Cote d'Ivoire
    Somewhere
    While A9LH is a very good option (and the best in the long run), there are other quick alternatives, actually, it is known that both Smash and MH4 reboot back to Sysnand in old 3DS, but that happens when you CLOSE the game, the game should be running in Emunand before that, so it's a strange thing the game boots you in Sysnand before that. Updating rxTools should fix that I think at least, since 2.6 is a REALLY old version.
     
  9. Scissorman
    OP

    Scissorman Member

    Newcomer
    30
    3
    Apr 6, 2016
    United States
    Okay, I'll try to install a newer rxtools before I try any of that.

    — Posts automatically merged - Please don't double post! —

    Sorry for the double post, but I just wanted to say that the updated rxtools still failed. As much as I hate it, I'll try using the tutorial tomorrow.
     
  10. Garro

    Garro Pendulum of souls!

    Member
    619
    307
    Aug 15, 2009
    Cote d'Ivoire
    Somewhere
    Good luck with installing a9lh, it has its risks, follow each step as closely as you can so you don't screw up (Just a few days ago somebody bricked his 3DS because he got an error and instead to follow the steps he powered off his console and bricked it).

    Anyways, I'm really curious as of why that is happening to you, i have never heard of Smash switching to Sysnand on startup. (If that's the case, you could also just install the DLC in sysnand and it should probably work on Smash).
     
  11. Olmectron

    Olmectron GBAtemp Addict

    Member
    2,044
    1,244
    Dec 31, 2012
    Mexico
    A game
    I bricked my console too. I just retried the "downgrade 2.1 verification" part and it always told me it wasn't a valid downgrade (on Part 1 of verification). I tried that around 30 times, with different downloaded packs (the same 2.1 pack, but downloaded several times).

    After that, I read the troubleshoot section, and it said it could be a false positive. So, I went ahed. And voilĂ ! Bricked console!

    It should have been an error from my part, I know. It's just that I don't understand how there's a lot of people saying they have done the process on several consoles, succeeding every time. I tried that part about downgrading to 2.1 for two whole weeks (hence the 30 emunand downgrade tries). And used at least 5 different SD cards, 3 of which were all new. I just don't understand. Maybe I'm just not enough intelligent for this process.
     
    Last edited by Olmectron, Apr 6, 2016
  12. mikey420

    mikey420 GBAtemp Fan

    Member
    390
    115
    Dec 11, 2015
    United States
    I can compile a9lh for you if you want. Just provide me a valid otp.bin file for your device. I've compiled it multiple times for my self on multiple devices.
     
  13. Docmudkipz

    Docmudkipz Novice

    Member
    327
    219
    Mar 16, 2016
    United States
    Staring at my computer case's window
    I could give him some 2~wk old delebile stage 1 and stage 2 files if he needs them. It's probably faster and easier to use safea9lh anyway at this point
     
    hobbledehoy899 likes this.
  14. mikey420

    mikey420 GBAtemp Fan

    Member
    390
    115
    Dec 11, 2015
    United States
    For those of you getting an invalid downgrade make sure you use the latest build of otphelper. The previous build which was linked In the guide last time I checked often reported a false positive on 9.3 plus devices downgraded to 9.2.....
     
  15. Garro

    Garro Pendulum of souls!

    Member
    619
    307
    Aug 15, 2009
    Cote d'Ivoire
    Somewhere
    Huh... I remember reading that modifications on the TWL_FIRM would make the downgrade throw errors, maybe your nand had some kind of modification? In my case I did had bluecardfix installed on my nand (which is a "harmless" twl modification) and while I was really scared the whole process, OTPHelper just gave me only positives, would have I received a negative I would have chickened out.

    I remember reading in the troubleshooting you could use godmode9 to check what titleid was mismatching, nonetheless, I'm sorry for your loss..
     
  16. Olmectron

    Olmectron GBAtemp Addict

    Member
    2,044
    1,244
    Dec 31, 2012
    Mexico
    A game
    I used GodMode and everything was fine as the troubleshoot stated. That's when I decides to go on.

    I never installed any kind of TWL modification, and console was formatted and I started the process since Part 1 of Plailect's guide, just to be sure everything was okay and according to the guide.

    And don't worry. I'll be trying to do a hardmod soon. I have a lot of NAND backups.
     
    Last edited by Olmectron, Apr 6, 2016
  17. Scissorman
    OP

    Scissorman Member

    Newcomer
    30
    3
    Apr 6, 2016
    United States
    Okay, I've returned and looked through the tutorial I was told would be helpful. I'm seriously having second thoughts about it. I will have to modify so much and knowing the klutz I am, I'm also pretty certain that I'm going to screw it up. Does anyone have any ideas that may allow me to keep rxtools preferably or maybe something where I can just install something, even if it's a new CFW all together? I just want to keep what I have so far.

    EDIT: It's mainly the RedNAND that I don't want to do. Is there any chance A9LH would work with my current existing emuNAND?
     
    Last edited by Scissorman, Apr 6, 2016
  18. Docmudkipz

    Docmudkipz Novice

    Member
    327
    219
    Mar 16, 2016
    United States
    Staring at my computer case's window
    As I had said earlier, just switch to AuReiNand. It shouldn't give you any problems with general use.

    But if you want to go through with the guide the best advice anyone can give is follow every step religiously. I shit you not, almost every case of bricking I've seen mentioned appeared to be user error. If any step gives you a problem ask before you continue and don't blindly attempt a step you don't understand or is giving you trouble.
     
  19. Scissorman
    OP

    Scissorman Member

    Newcomer
    30
    3
    Apr 6, 2016
    United States
    I did try AuReiNAND without the A9LH. Smash still booted into SysNAND. I'm just nervous about it because knowing me, I will fuck up somehow, somewhere.
     
  20. Docmudkipz

    Docmudkipz Novice

    Member
    327
    219
    Mar 16, 2016
    United States
    Staring at my computer case's window
    I haven't the slightest idea then other than installing your dlc and such to sysnand. But don't doubt yourself on it, there's tons of chances to turn back before you flash the 2.1 fw. If you're on an o3ds then theres even less of a chance that it will brick as well due to the fact that it will run 2.1 natively